petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISGeneralSetIndices

Sets the indices for an ISGENERAL index set

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGeneralSetIndices(IS is,PetscInt n,const PetscInt idx[],PetscCopyMode mode)

Collective on IS Many br

### Input Parameters

| is | - the index set Many br
| n | - the length of the index set Many br
| idx | - the list of integers Many br
| mode | - see PetscCopyMode for meaning of this flag. Many br

Many br

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlock(), ISAllGather()

Level:beginner
Location:src/vec/is/is/impls/general/general.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages